Системные требования для установки WebAsyst

Для установки WebAsyst обязательно соблюдение перечисленных ниже системных требований.
Требования к серверному ПО:


Серверные программные компоненты, необходимые для работы WebAsyst:

  • Веб-сервер с поддержкой PHP, например: Apache, lighttpd, IIS.
  • Интерпретатор PHP версии 5.0.5 или выше.
  • Сервер баз данных MySQL версии 4.1 или выше.

Рекомендуется использование стабильных версий серверных программных компонентов. В случае использования нестабильных версий установка WebAsyst на сервер либо его корректная работа может быть затруднена или невозможна.

Для интерпретатора PHP должны быть установлены и активированы следующие расширения:

  • mbstring;
  • SimpleXML;
  • DOM/XML;
  • gd;
  • Imagick (необязательно, рекомендуется для ускоренной обработки графики);
  • zlib (необязательно);
  • gettext (необязательно);
  • mysql;
  • curl (необязательно, необходимо для работы некоторых модулей WebAsyst Shop-Script)

В конфигурации PHP следующие параметры должны иметь указанные ниже значения:

  • allow_url_fopen — On (необязательно, необходимо для работы автоматизированного обновления и некоторых функций приложений WebAsyst)
  • file_uploads — On
  • magic_quotes_runtime — Off
  • memory_limit — не менее 32М (это значение не должно превышать доступный объем оперативной памяти сервера, в противном случае будет использоваться только фактически имеющейся объем независимо от указанного значения; для корректной обработки загруженных изображений некоторыми приложениями WebAsyst может потребоваться объем памяти, превышающий рекомендуемое минимальное значение 32 МБ)
  • safe_mode — Off
  • short_open_tag — On
  • zend.ze1_compatibility_mode — Off

Следующие модули веб-сервера Apache рекомендуется отключить для нормальной работы некоторых приложений WebAsyst:

  • mod_security (может препятствовать загрузке файлов)

Следующие модули веб-сервера Apache рекомендуется включить при установке WebAsyst Shop-Script (для работы режима ЧПУ):

  • mod_rewrite

Директория, предназначенная для размещения файловой системы WebAsyst, должна быть доступна для перезаписи ее содержимого веб-сервером.

Для серверов с операционными системами типа UNIX рекомендуется использовать одно из следующих значений: 777, 775 или 755 в зависимости от конфигурации сервера. Максимальные разрешенные права доступа к файлам и директориям определяются администрацией хостинг-провайдера. Уточните эти значения перед началом установки.

Требования к клиентскому ПО:

В браузере должна быть включена поддержка клиентских скриптов JavaScript, файлов cookie, плагинов (Flash).